### Virtual Method

# RB Source check_entry_type

#### Declaration [src]

    gboolean
    check_entry_type (
      RBSource* source,
      RhythmDBEntry* entry
    )

#### Description [src]

Checks if a database entry matches the entry type for the source.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  A `RhythmDBEntry`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the entry matches the source’s entry type.